# Bibliotheken laden
from gpiozero import DigitalOutputDevice
from time import sleep

# Initialisierung von GPIO4 als digitaler Ausgang für Relais-Steuerung mit umgekehrter Logik
relais = DigitalOutputDevice(4, active_high=False, initial_value=False)

# 1 Sekunde warten
sleep(1)

# Relais einschalten
relais.on()

# 3 Sekunden warten
sleep(3)

# Relais ausschalten
relais.off()